<template>
  <div class="login">
    <!-- <v-spaces :height="'20px'"></v-spaces> -->
    <div class="input"  >
      <div class="input-item input-type">
        <p class="title" >{{input[0].title}}</p>
        <div class="item">
          <div class="text" @click="store">{{storename}}</div>
        </div>
      </div>
    </div>
    <div class="input"  >
      <div class="input-item input-type">
        <p class="title" >{{input[1].title}}</p>
        <div class="item" @click="showMulLinkageTwoPicker">
          <div  class="text">{{pickerText[0]}} {{pickerText[1]}}</div>
        </div>
      </div>
    </div>
    <div class="input"  >
      <div class="input-item input-type">
         <p class="title" >{{input[2].title}}</p>
        <div class="item1">
           <textarea 
           @input="textareaEmit($event.mp.detail.value)"
           name="" 
           id="" 
           :value="description"
           placeholder='请输入2个字以上，请您尽量描述清楚哦' class="textarea">
         </textarea>
         <span class="num">{{description.length}}/200</span>
        </div>
      </div>
    </div>
   
    
    <div style="height:60rpx"></div>
    <v-footer :footer="'提交'"  @footerEmit="enter()"></v-footer>
    <!--弹出栏-->
    <v-hintbox :hintbox="hintbox" @close="close" ></v-hintbox>
    <mpvue-picker ref="mpvuePicker" :mode="mode" :deepLength="deepLength" :pickerValueDefault="pickerValueDefault" :themeColor="themeColor" @onChange="onChange" @onConfirm="onConfirm" @onCancel="onCancel" :pickerValueArray="pickerValueArray"></mpvue-picker>
  </div>
</template>
<script type="text/ecmascript-6">
  import {get,showToast,setStorageSync,getStorageSync,scanCode} from '@/util'
  import mpvuePicker from '@/components/picker/picker.vue';
  import store from '@/store'
  import config from '@/config'
  import hintbox from '@/components/hintbox/hintbox.vue'
  import code from '@/components/code/code.vue'
  import footer from '@/components/footer/footer.vue'
  import {VeevlinkLogin,VeevlinkIslogin,VeevlinkClient,VeevlinkData} from '@/utils/base'
  import '../../../../static/css/reset.css';
  // import '../../../../static/css/components.scss';
  let mta= require('@/utils/mta_analysis.js');
  export default {
     components: {
      'mpvue-picker':mpvuePicker,
      'v-footer':  footer,
      'v-code' : code,
      'v-hintbox' : hintbox,
    },
    data(){
      return{
        description:'',
        appointmentTime:'',
        dateInfo:'',
        pickerText:'',
        mode: 'selector',
      deepLength: 0, // 几级联动
      pickerValueDefault: [], // 初始化值
      pickerValueArray: [], // picker 数组值
      pickerText: '',
      themeColor: '', // 颜色主题
         mulLinkageTwoPicker: [],
        note:'',
        storeId:'',
        storename:'',
        type:'phone',
        hintbox:{
          text :'',
          show : false
        },
        headerUrl: config.url+'pic-login-header.png',
        input:[
          {
            inputType:'text',
            title:'*预约门店',
          },
          {
            inputType:'number',
            title:'*预约时间',
          },
          {
            inputType:'number',
            title:'预约备注',
          },
        ],
        // 验证码数据定义
        isGet: false,
        phonenumber: '', // 手机号码
        authcode:"", //输入的验证码
        sec: 60,
        status: false,
        bind:false,
        verificationcode: ''//接口验证码
      }
    },
    
    watch:{
      'store.state.Login.phonenumber'(){

      }
    },
    computed:{
      
      // 登录状态按钮禁用
      status(){
        console.log('status:'+this.gainAuthCodeAction);
        if( this.gainAuthCodeAction ){
          return true;
        }else{
          return false;
        }

      },
      // 获取验证码
      gainAuthCodeAction: function () {
        //第一步：验证手机号码
        return (this.phonenumber.length === 11);
      }

    },
    methods:{
      //门店选择
      store(){
        config.href(config.customer.store);

      },
      onChange(e) {
      console.log(e);
    },
    onCancel(e) {
      console.log(e);
    },
      // 二级联动选择
    showMulLinkageTwoPicker() {
      let that = this;
      if(this.mulLinkageTwoPicker.length === 0){
            wx.showToast({
            title: '暂无预约时间！',
            icon: 'none',
            duration: 2000
          })
          return;
      }
      this.pickerValueArray = this.mulLinkageTwoPicker;
      this.mode = 'multiLinkageSelector';
      this.deepLength = 2;
      this.pickerValueDefault = [1, 0];
      this.themeColor = '';
      that.$refs.mpvuePicker.show();
    },
    onConfirm(e) {
      console.log(e);
      if (this.mode === 'selector') {
        this.pickerText = e.label;
      } else if (this.mode === 'dateSelector') {
        this.pickerText = e.label;
      } else if (this.mode === 'timeSelector') {
        this.pickerText = e.label;
      } else if (this.mode === 'multiSelector') {
        this.pickerText = e.label;
      } else if (
        this.mode === 'multiLinkageSelector' &&
        this.deepLength === 2
      ) {
        this.pickerText = e.label;
        //let a = this.pickerText.toString();
        console.log(this.pickerText);
        this.dateInfo= e.label[0];
        this.appointmentTime=  e.label[1];
      } else if (
        this.mode === 'multiLinkageSelector' &&
        this.deepLength === 3
      ) {
        this.pickerText = e.label;
      }
    },
      //选择时间
      choose(){
        console.log('选择时间');
        //config.href(config.customer.add+'?storeId='+this.storeId);
      },
      close(){
        this.hintbox.show = false;
        this.hintbox.text = '';
      },
      textareaEmit(data){
          this.description = data;
          console.log('预约备注',this.description);
      },
      //获取信息
    getTime(){
        let that = this;
        let VerificationCodeEntity =  wx.getStorageSync('informationwx23bcedfe9e867c13');
        let memberId = wx.getStorageSync('memberid');
        VeevlinkClient(
          '/member/appointment/time?openId='+VerificationCodeEntity.OpenId + '&storeId='+this.storeId,
          'GET',
          '',
          function (data) {
            console.log(data);
            if(data.success){
              if(data.records){
                that.datas = data.records;
                that.mulLinkageTwoPicker = [];
                that.datas.forEach((item,index)=>{
                  that.mulLinkageTwoPicker.push({
                    label:item.dateInfo,
                    value:item.storeId,
                    children:[]
                  })
                  that.datas[index].timeInfo.forEach((item1,index1)=>{
                    that.mulLinkageTwoPicker[index].children.push({
                         label:item1,
                         value:index1,
                    })
                  })
                })
                console.log('list',that.mulLinkageTwoPicker);
                
                
              }else{
                
              }
              
            }else{
              that.hintbox.show = true;
              that.hintbox.text = success.message;
            }
          },
          function (error) {
            console.log(error);
          })
      },
      enter(){
        console.log('11');
        let that = this;
        let veevlink = VeevlinkData();
        if(this.mulLinkageTwoPicker.length === 0){
            wx.showToast({
            title: '暂无预约时间,无法预约！',
            icon: 'none',
            duration: 2000
          })
          return;
      }
        var data = {
          openId:veevlink.OpenId,
          storeId:this.storeId,
          memberId:wx.getStorageSync('memberid'),
          appointmentTime:that.appointmentTime,
          dateInfo:that.dateInfo,
          description:that.description,
          appointmentType:'试衣预约',//预约类型默认值
          serviceType:that.serviceType,
          servicePhoto:[]

        };
        console.log('data',data);
        VeevlinkClient(
          '/member/appointment/make',
          'POST',
          data,
          function (data) {
            if(data.success){
              that.hintbox.show = true;
              that.hintbox.text = data.message;
            }else{
              that.hintbox.show = true;
              that.hintbox.text = data.message;
            }
          },
          function (error) {
            console.log(error);
            that.hintbox.show = true;
            that.hintbox.text = error.message;
          })
      },
      
      tel(data){
        let that = this;
        console.log(data);
        console.log(this.phonenumber);

        that.phonenumber =data.value;

//      return
//      let array = [ 'Login','phonenumber',data]
//      store.commit('add',array);
//      console.log(store.state.Login.phonenumber);
//      console.log(this.gainAuthCodeAction);
//       this.phonenumber = store.state.Login.phonenumber
      },
      code(data){
        this.authcode =data.value;
        console.log(this.authcode);
      },
      sss(data){
        console.log(data);
      },
      codeEmit(data){
        this.verificationcode = data;
      }
    },
    created(){
      // let array = [ 'Login','phonenumber','']
      // store.commit('add',array);
      console.log(config.url+'pic-login-header.png');
    },
    onshow(data){
      console.log('show');
    },
    onLoad() {
      mta.Page.init();
      console.log('onload');
      var data = wx.getStorageSync('store');
      console.log('load',data);
      this.storeId = data.storeId;
      this.storename = data.storeName;
      this.description = '';
      this.pickerText =[];
      this.getTime();

    }
  }
</script>
<style  lang="scss"  type="text/scss" scoped >
  .login{
    width: 100%;
    color: #000;
    padding-top:0.63rem;
    .input{
      width: 6.7rem;
      margin-left: 0.7rem;
      margin-top:: 0.36rem;
      color: #000;
      .title{
          color:#727171;
          font-size:0.24rem;
        }
      .item{
        width:6.1rem;
        height:0.6rem;
        background:#EAEAEA; 
        margin-top:0.14rem;
        .text{
           color:#727171;
          font-size:0.24rem;
          padding:0.14rem 0.2rem;
        }
        

        
      }
      .item1{
        width:6.1rem;
        height:2.34rem;
        background:#EAEAEA; 
        margin-top:0.14rem;
        .textarea{
          //border: 1px solid #000;
          padding:0.24rem 0.32rem;
          font-size:0.24rem;
          color:#999999;
          width:5.48rem;
          height:1.82rem;

        }
        .num{
          position: absolute;
          right: 0.94rem;
          margin-top: -0.45rem;
          color: #999999;
          font-size: 0.24rem;

        }
      }

    }

  }
  


</style>


